﻿.login-logo,
.register-logo {
    font-size: 2.1rem;
    font-weight: 300;
    margin-bottom: .9rem;
    text-align: center;
}

    .login-logo,
    .register-logo a {
        color: #6c757d;
    }

.login-page,
.register-page {
    align-items: center;
    background-color: #6c757d;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
}

.login-box,
.register-box {
    width: 360px;
}
.login-box, .register-box .card {
    margin-bottom: 0;
}

.login-card-body, .register-card-body {
    background-color: #fff;
    border-top: 0;
    color: #666;
    padding: 20px;
}

.login-card-body .input-group .form-control, .register-card-body .input-group .form-control {
    border-right: 0;
}

.login-card-body .input-group .form-control:focus, .register-card-body .input-group .form-control:focus {
    box-shadow: none;
}

.login-card-body .input-group .form-control:focus ~ .input-group-prepend .input-group-text, .register-card-body .input-group .form-control:focus ~ .input-group-prepend .input-group-text, .login-card-body .input-group .form-control:focus ~ .input-group-append .input-group-text, .register-card-body .input-group .form-control:focus ~ .input-group-append .input-group-text {
    border-color: #80bdff;
}

.login-card-body .input-group .form-control.is-valid:focus, .register-card-body .input-group .form-control.is-valid:focus {
    box-shadow: none;
}

.login-card-body .input-group .form-control.is-valid ~ .input-group-prepend .input-group-text, .register-card-body .input-group .form-control.is-valid ~ .input-group-prepend .input-group-text, .login-card-body .input-group .form-control.is-valid ~ .input-group-append .input-group-text, .register-card-body .input-group .form-control.is-valid ~ .input-group-append .input-group-text {
    border-color: #28a745;
}

.login-card-body .input-group .form-control.is-invalid:focus, .register-card-body .input-group .form-control.is-invalid:focus {
    box-shadow: none;
}

.login-card-body .input-group .form-control.is-invalid ~ .input-group-append .input-group-text, .register-card-body .input-group .form-control.is-invalid ~ .input-group-append .input-group-text {
    border-color: #dc3545;
}

.login-card-body .input-group .input-group-text, .register-card-body .input-group .input-group-text {
    background-color: transparent;
    border-bottom-right-radius: 0;
    border-left: 0;
    border-top-right-radius: 0;
    color: #777;
}

.login-box-msg, .register-box-msg {
    margin: 0;
    padding: 0 20px 20px;
    text-align: center;
}

